function [ COM ] = arm_connect( port )
%ARM_CONNECT Connects to the serial port
%   Pass the port you want to connect to (as a string) 
%   Returns the serial handle
%   ---
%   Sam Bobb,  Daniel Cornew,  Ryan Deeter
%	Two degree of freedom arm
%	High speed motor control for 2 motors
%	Code version 3
%	March 18, 2010
%   ---

% pull in constants
arm_constants

%check if the serial port already exists
%if it does, close it, it probably means something bad happened last run
if exist('COM','var')
    disp('closing old port instance');
    fclose(COM)
    delete(COM)
    clear COM
    disp('port closed');
end

% open the serial port
COM = serial(port);
set(COM,'BaudRate',baud);
fopen(COM)     

disp('port opened');


end

