function [ ] = arm_goto(COM, x, y )
%ARM_GOTO Sends the goto command to the arm
%   Pass in COM object, X and Y position
%   Returns nothing
%   ---
%   Sam Bobb,  Daniel Cornew,  Ryan Deeter
%	Two degree of freedom arm
%	High speed motor control for 2 motors
%	Code version 3
%	March 18, 2010
%   ---

% pull in constants
arm_constants

% convert to theta1 and theta2
[theta1, theta2] = arm_xy_to_thetas(x, y);

% send command
disp('send goto')
fwrite(COM, [C_GOTO theta1*countsPerRev/360 theta2*countsPerRev/360], 'int16');
pause(goto_time); % have to wait for the goto
disp('done')

end

