function [ path ] = arm_make_circle( center_x, center_y, r_x, r_y, pathTime )
%ARM_MAKE_CIRCLE Creates a circle path from parameters
%   Pass in center_x, center_y, radius x, radius y, and the path time of
%   the circle
%   Returns a circle path.
%   ---
%   Sam Bobb,  Daniel Cornew,  Ryan Deeter
%	Two degree of freedom arm
%	High speed motor control for 2 motors
%	Code version 3
%	March 18, 2010
%   ---

% make a CIRCLE
numTimePoints = 20;
t = linspace(0,pathTime,numTimePoints)';

x = r_x*cos(t*2*pi/pathTime)+center_x;
y = r_y*sin(t*2*pi/pathTime)+center_y;

path = [t x y];

end

