function [  ] = arm_theta_plot( haxes, DATA )
%ARM_THETA_PLOT Plots log as theta 1 and theta 2 over time
%   Pass in the DATA matrix from arm_get_log and the axes handle where you
%   want the plot to go.
%   Returns nothing.
%   ---
%   Sam Bobb,  Daniel Cornew,  Ryan Deeter
%	Two degree of freedom arm
%	High speed motor control for 2 motors
%	Code version 3
%	March 18, 2010
%   ---

% pull in constants
arm_constants

T = RECORD_EVERY*controlPeriod;

sizeOfDATA = size(DATA);

L = sizeOfDATA(1);                     % Length of signal
t = (0:L-1)*T;            % Time vector

% pull apart data and convert to degrees
theta1ref = DATA(:,1)*360/countsPerRev;
theta1cur = DATA(:,2)*360/countsPerRev;
theta2ref = DATA(:,3)*360/countsPerRev;
theta2cur = DATA(:,4)*360/countsPerRev;

% subplot(2,1,1)
% plot(t, theta1ref, t, theta1cur)
% legend('ref', 'current')
% title('theta1')
% 
% subplot(2, 1, 2)
% plot(t, theta2ref, t, theta2cur)
% legend('ref', 'current')
% title('theta2')


plot(haxes, t, theta1ref, t, theta1cur, t, theta2ref, t, theta2cur)
legend('theta1 ref', 'theta1 current','theta2 ref', 'theta2 current')
xlabel('time (sec)')
ylabel('theta (degrees)')

end

