function [ x, y ] = arm_thetas_to_xy( theta1, theta2 )
%ARM_THETAS_TO_XY Uses forward kinematics to give position from angle
%   Pass in theta1 and theta2 (in degrees)
%   Returns x and y
%   ---
%   Sam Bobb,  Daniel Cornew,  Ryan Deeter
%	Two degree of freedom arm
%	High speed motor control for 2 motors
%	Code version 3
%	March 18, 2010
%   ---

% pull in constants
arm_constants

alpha = deg2rad(theta1);
psi = deg2rad(theta2 - theta1);

j1_x = L1*cos(alpha);
j1_y = L1*sin(alpha);

j2_x = L2*cos(alpha+psi) + j1_x;
j2_y = L2*sin(alpha+psi) + j1_y;

x = j2_x;
y = j2_y;

end

